Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions | Related
kVersion Struct Reference
kApi

## Description

Represents a version number.

kVersion supports the kdat6 serialization protocol.

Inheritance diagram for kVersion:

## Public Member Functions
k8u | kVersion_Build (kVersion version)
| Returns the build part of a version number. More...
k32s | kVersion_Compare (kVersion version1, kVersion version2)
| Returns an integral value indicating the relationship between the versions. More...
kVersion | kVersion_Create (k32u major, k32u minor, k32u release, k32u build)
| Creates a version value from its constituent parts. More...
kStatus | kVersion_Format (kVersion version, kChar *buffer, kSize capacity)
| Formats a version to a string buffer. More...
k8u | kVersion_Major (kVersion version)
| Returns the major part of a version number. More...
k8u | kVersion_Minor (kVersion version)
| Returns the minor part of a version number. More...
kStatus | kVersion_Parse (kVersion *version, const kChar *buffer)
| Parses a version from a formatted string. More...
k8u | kVersion_Release (kVersion version)
| Returns the release part of a version number. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Related
#define | kVersion_Stringify_(MAJOR, MINOR, RELEASE, BUILD)
| Builds a version string from the given numeric literal arguments. More...
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- kApiDef.h